#pragma once
#include "CivSimulResHelperAbs.h"
#include<vector>
#include<string>
#include "pandaDbManager.h"

class PANDADBMANAGER_API CivSimulResDbHelper :public CivSimulResHelperAbs
{
public:
	explicit CivSimulResDbHelper(const std::string& uri);
	~CivSimulResDbHelper();

	virtual bool insertNodes(const NodeResultItems& nodeitems);
	virtual bool insertLinks(const LinkResultItems& linkMap);
	virtual bool insertTanks(const TankResultItems& tankMap);

	virtual bool insertLinksBulk(const std::map<int,LinkResultItems>& linksMap);
	virtual bool insertNodeBulk(const std::map<int, NodeResultItems>& nodesMap);
private:
	std::vector<std::string> mNodeFields;
	std::vector<std::string> mLinkFileds;
	std::vector<std::string> mTankFileds;
}; 
